キャンペーンのお知らせ
GET https://japaso.com/api/notifications/
curl --request GET \
--url 'https://japaso.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://japaso.com/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | オプション 糸 | 検索文字列 |
| search_by | オプション 糸 | どの分野で検索していますか。使用できる値は次のとおりです: name。 |
| is_enabled | オプション ブール値 | |
| type | オプション 糸 | 許可される値: informational , coupon , live_counter , email_collector , conversions , conversions_counter , video , audio , social_share , reviews , emoji_feedback , cookie_notification , score_feedback , request_collector , countdown_collector , custom_html |
| order_by | オプション 糸 | 結果を並べ替えるフィールド。使用できる値は次のとおりです: notification_id , datetime , last_datetime , name , impressions , hovers , clicks , form_submissions。 |
| order_type | オプション 糸 | 結果の順序。指定できる値は、昇順の場合は ASC、降順の場合は DESCです。 |
| page | オプション 整数 | 結果が必要なページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10 , 25 , 50 , 100 , 250 , 500 , 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-03-01 07:11:51",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://japaso.com/api/notifications?page=1",
"last": "https://japaso.com/api/notifications?page=1",
"next": null,
"prev": null,
"self": "https://japaso.com/api/notifications?page=1"
}
}
GET https://japaso.com/api/notifications/{notification_id}
curl --request GET \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"campaign_id": 1,
"notification_key": "f56d2208dd5e9d9809c158e1d6a77f53",
"name": "Example",
"type": "reviews",
"settings": {},
"impressions": 0,
"hovers": 0,
"clicks": 0,
"form_submissions": 0,
"is_enabled": true,
"datetime": "2026-03-01 07:11:51",
}
}
POST https://japaso.com/api/notifications
| パラメーター | 詳細 | 説明 |
|---|---|---|
| campaign_id | 必須 整数 | - |
| type | 必須 糸 | 許可される値: informational , coupon , live_counter , email_collector , conversions , conversions_counter , video , audio , social_share , reviews , emoji_feedback , cookie_notification , score_feedback , request_collector , countdown_collector , custom_html |
| name | オプション 糸 | - |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://japaso.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
--url 'https://japaso.com/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=informational' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
POST https://japaso.com/api/notifications/{notification_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| name | オプション 糸 | - |
| is_enabled | オプション ブール値 | - |
| trigger_all_pages | オプション ブール値 | - |
| display_trigger | オプション 糸 |
許可される値: delay, time_on_site, pageviews, inactivity, exit_intent, scroll, click, hover |
| display_value | オプション 糸 | - |
| display_delay_type_after_close | オプション 糸 |
許可される値: time_on_site, pageviews |
| display_delay_value_after_close | オプション 整数 | - |
| display_frequency | オプション 糸 |
許可される値: all_time, once_per_session, once_per_browser |
| direction | オプション 糸 |
許可される値: rtl, ltr |
| display_continents | オプション 配列 糸 | - |
| display_countries | オプション 配列 糸 | - |
| display_languages | オプション 配列 糸 | - |
| display_operating_systems | オプション 配列 糸 | - |
| display_browsers | オプション 配列 糸 | - |
| display_cities | オプション 配列 糸 | - |
| display_mobile | オプション ブール値 | - |
| display_desktop | オプション ブール値 | - |
| schedule | オプション ブール値 | - |
| start_date | オプション 糸 | - |
| end_date | オプション 糸 | - |
| display_duration | オプション 整数 | - |
| display_position | オプション 糸 |
許可される値: top_left, top_center, top_right, middle_left, middle_center, middle_right, bottom_left, bottom_center, bottom_right, top, bottom, top_floating, bottom_floating |
| display_close_button | オプション ブール値 | - |
| close_button_color | オプション 糸 | - |
| dark_mode_close_button_color | オプション 糸 | - |
| display_branding | オプション ブール値 | - |
| shadow | オプション 糸 |
許可される値: , subtle, feather, 3d, layered |
| border_width | オプション 整数 | 許可される値: 0, 1, 2, 3, 4, 5 |
| internal_padding | オプション 整数 | 許可される値: 5-25 |
| background_blur | オプション 整数 | 許可される値: 0-30 |
| custom_css | オプション 糸 | - |
| hover_animation | オプション 糸 |
許可される値: , fast_scale_up, slow_scale_up, fast_scale_down, slow_scale_down |
| on_animation | オプション 糸 |
許可される値: fadeIn, slideInUp, slideInDown, zoomIn, bounceIn |
| off_animation | オプション 糸 |
許可される値: fadeOut, slideOutUp, slideOutDown, zoomOut, bounceOut |
| animation | オプション 糸 |
許可される値: , heartbeat, bounce, flash, pulse |
| animation_interval | オプション 整数 | - |
| font | オプション 糸 |
許可される値: inherit, Arial, Verdana, Helvetica, Tahoma, Trebuchet MS, Times New Roman, Georgia, Courier New, Monaco, Comic Sans MS, Courier, Impact, Futura, Luminari, Baskerville, Papyrus |
| border_radius | オプション 糸 |
許可される値: straight, rounded, highly_rounded, round |
| dark_mode_is_enabled | オプション ブール値 | |
| notifications | オプション 配列 | 利用可能な場合: type = email_collector, collector_bar, collector_modal, collector_two_modal, conversions, conversions_counter, countdown_collector, request_collector, text_feedback 通知ハンドラーID |
| translations[input_key][index]['key'] | オプション 糸 | Available for all the marked for translation fields. |
| translations[input_key][index]['value'] | オプション 糸 | Available for all the marked for translation fields. |
| data_trigger_auto | オプション ブール値 | 利用可能な場合: type = conversions counter |
| data_trigger_auto_type[index] | オプション 配列 糸 | 利用可能な場合: type = conversions 許可される値: exact , contains , starts_with , ends_with |
| data_trigger_auto_value[index] | オプション 配列 糸 | 利用可能な場合: type = conversions |
curl --request POST \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
DELETE https://japaso.com/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://japaso.com/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \